<?php

/**
  *	Dvbbs.php  - Version: 2.0.0
  *	Web: http://www.dvbbs.net
  *	Copyright: 2000-2006 Dvbbs.Net
  *	script file:user.php
  *	Script Written by lfow(Xiao Du)
  *	Function of the Page:用户资料(权限)管理
  */

define('THIS_SCRIPT', 'user');
require_once 'global.php';
global $lang;
checklogin();
head($lang['PageTitle']);
if ( strpos($sysinfo['flag'],'14,') === false ){
	show_msg($lang['readme_tit'],$lang['error.str1'],0,'','','','');
	exit;
}
$lang=load_lang($lang, 'user' );
$doaction = trim($doaction);
require printout('user');

footer();


function &getUserGroups(){
	global $dv,$db,$lang;
	return $db->getResultSet("SELECT usergroupid,usertitle,parentgid FROM {$dv}usergroups WHERE parentgid<>0 ORDER BY parentgid,usergroupid");
}//end function getUserGroups

function &getUserGroups2(){
	global $dv,$db,$lang;
	return $db->getResultSet("SELECT usergroupid,usertitle,parentgid FROM {$dv}usergroups WHERE usergroupid<>1 AND usergroupid<>7 AND parentgid<>0 ORDER BY parentgid,usergroupid");
}//end function getUserGroups

function &getAllPostTable(){
	global $dv,$db,$lang;
	return $db->getResultSet("SELECT id,tablename,tabletype FROM {$dv}tablelist");
}

?>
